Problems with Software Sources

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Problems with Software Sources

Postby stuslayer on Thu May 15, 2014 3:44 pm

Hi All,

I've installed LMDE alongside Ubuntu on my HP 255 laptop. I have come across a couple of issues with some things not appearing to work. The Mint Welcome does not launch, and neither does Software Sources. this one seems to be more of an issue, so I ran in terminal and got this:

Code: Select all
mintsources
glibtop: Non-standard uts for running kernel:
release 3.11-2-amd64=3.11.0 gives version code 199424

Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintSources/mintSources.py", line 1217, in <module>
    Application().run()
  File "/usr/lib/linuxmint/mintSources/mintSources.py", line 537, in __init__
    if self.config["general"]["use_ppas"] == "false":
KeyError: 'general'


Can anyone explain what this means and what I can do to fix it? I have little experience with Linux and class myself as an average computer user but I'm willing to learn :)
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Linux Mint is funded by ads and donations.
 

Re: Problems with Software Sources

Postby Monsta on Fri May 16, 2014 12:36 am

Check if you have mint-mirrors installed.
Monsta
Level 8
Level 8
 
Posts: 2497
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems with Software Sources

Postby stuslayer on Fri May 16, 2014 6:35 am

I checked this and saw the same error
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby kurotsugi on Fri May 16, 2014 11:21 am

Code: Select all
dpkg -l |grep mint
apt show mintsources

what we can see is that there's some error in the python script. there might something missing.
Code: Select all
sudo apt-get update
sudo apt-get -f install
sudo apt-get -d dist-upgrade
kurotsugi
Level 5
Level 5
 
Posts: 942
Joined: Fri Jan 25, 2013 3:54 am

Re: Problems with Software Sources

Postby stuslayer on Fri May 16, 2014 1:51 pm

Code: Select all
stuart@mintylaptop ~ $ dpkg -l |grep mint
ii  apturl                                       0.4.1ubuntu4.1mint2             all          install packages using the apt protocol - GTK+ frontend
ii  apturl-common                                0.4.1ubuntu4.1mint1             all          install packages using the apt protocol - common data
ii  firefox                                      29.0~linuxmint1+lmde            amd64        The Firefox web browser
ii  firefox-l10n-en-gb                           29.0~linuxmint1+lmde            amd64        British language packs for Firefox
ii  grub2-theme-mint                             1.0.9                           all          Grub2 theme for Linux Mint
ii  gtk2-engines-aurora                          1.5.1~pablo1-1mint1             amd64        Aurora engine for GTK+ 2.x
ii  libgudev-1.0-0:amd64                         204-5linuxmint1                 amd64        GObject-based wrapper library for libudev
ii  libopus0:amd64                               1.1~beta-3mint1                 amd64        Opus codec runtime library
ii  libpam-systemd:amd64                         204-5linuxmint1                 amd64        system and service manager - PAM module
ii  libsystemd-daemon0:amd64                     204-5linuxmint1                 amd64        systemd utility library
ii  libsystemd-journal0:amd64                    204-5linuxmint1                 amd64        systemd journal utility library
ii  libsystemd-login0:amd64                      204-5linuxmint1                 amd64        systemd login utility library
ii  libudev1:amd64                               204-5linuxmint1                 amd64        libudev shared library
ii  linuxmint-keyring                            2009.04.29                      all          GnuPG key of the Linux Mint repository
ii  mint-artwork-cinnamon                        4.2                             all          Default artwork for the Cinnamon edition of Linux Mint
ii  mint-artwork-debian                          2012.09.11                      all          Default artwork for Linux Mint
ii  mint-artwork-mate                            1.1.4                           all          Default artwork for MATE
ii  mint-artwork-xfce                            2012.07.10.1                    all          Default artwork for Linux Mint
ii  mint-backgrounds-debian                      1.2                             all          The desktop backgrounds made for Linux Mint Debian Edition
ii  mint-backgrounds-petra                       1.4                             all          The desktop backgrounds for Linux Mint 16 Petra
ii  mint-backgrounds-xfce                        2012.06.21                      all          Desktop backgrounds for Linux Mint Xfce
ii  mint-common                                  1.1.1                           all          Common scripts and resources for Linux Mint
ii  mint-flashplugin                             2011.10.19                      all          Metapackage for Adobe Flash plugin
ii  mint-flashplugin-11                          11.2.202.356                    amd64        Adobe Flash plugin 11
ii  mint-flashplugin-steam                       11.2.202.356                    amd64        Flash plugin for Steam
ii  mint-info-debian-mate                        2012.09.12                      amd64        Necessary information about the Linux Mint release and edition.
ii  mint-mdm-themes                              1.1.2                           all          Linux Mint MDM Themes
ii  mint-meta-codecs                             2014.01.15.2                    all          Transitional package.
ii  mint-meta-debian-cinnamon                    2014.02.05.1                    all          Set of packages installed by default in the Cinnamon edition of Linux Mint
ii  mint-meta-debian-codecs                      2014.01.15.2                    amd64        All the packages required for multimedia support in Linux Mint.
ii  mint-meta-debian-core                        2014.02.05.1                    all          Core Linux Mint packages
ii  mint-meta-debian-kde                         2014.02.05.1                    all          Set of packages required to run KDE
ii  mint-meta-debian-mate                        2014.02.05.1                    all          Set of packages required to run MATE
ii  mint-meta-debian-xfce                        2014.02.05.1                    all          Set of packages required to run Xfce
ii  mint-mirrors                                 1.0.8                           all          Linux Mint Repository mirrors
ii  mint-search-addon                            2012.08.30.4                    all          Enhances the results given by Google
ii  mint-stylish-addon                           1.0.4                           all          Stylish add-on for Firefox
ii  mint-themes                                  1.2.8                           all          Mint themes
ii  mint-themes-gtk3                             3.8-9                           all          Mint themes for GTK3
ii  mint-translations                            2013.11.26.1                    all          Translation files for Linux Mint
ii  mint-x-icons                                 1.1.6                           all          Mint-X Icon themes
ii  mintbackup                                   2.1.4                           all          Home Directory Backup Tool
ii  mintdesktop                                  3.3.3                           all          Desktop configuration tool
ii  mintinstall                                  7.5.2                           all          Software Manager
ii  mintinstall-icons                            1.0.7                           all          Icons for the Software Manager
ii  mintmenu                                     5.5.1                           all          Advanced Gnome menu
ii  mintnanny                                    1.4.3                           all          Domain blocker for Linux Mint
ii  mintsources                                  1.2.4                           all          Software Sources configuration tool
ii  mintstick                                    1.1.9                           all          Tool to write .img and .iso files to USB sticks. Can also format them.
ii  mintsystem                                   7.9.1                           all          Linux Mint System Base Package
ii  mintupdate-debian                            1.0.9                           all          Update Manager
ii  mintupload                                   3.9.5                           all          Uploads files on the Internet
ii  mintwelcome                                  2.0.5                           all          Welcome screen for Linux Mint
ii  mintwifi                                     2.0                             all          Collection of drivers for you to configure your wireless card through ndiswrapper without connecting to the Internet.
ii  plymouth-themes-mint                         1.0.3                           all          Linux Mint Plymouth theme
ii  python-sexy                                  0.1.9-1ubuntu3-1mint3           amd64        python language bindings for libsexy
ii  systemd                                      204-5linuxmint1                 amd64        system and service manager
ii  thunderbird                                  24.5.0~linuxmint1+lmde          amd64        The Thunderbird email client
ii  thunderbird-l10n-en-gb                       24.5.0~linuxmint1+lmde          amd64        British language packs for Thunderbird
ii  udev                                         204-5linuxmint1                 amd64        /dev/ and hotplug management daemon
stuart@mintylaptop ~ $ apt show mintsources
Package: mintsources
State: installed
Automatically installed: no
Version: 1.2.4
Priority: optional
Section: admin
Maintainer: Clement Lefebvre <root@linuxmint.com>
Architecture: all
Uncompressed Size: 671 k
Depends: python (>= 2.4), python (< 3), python-gtk2, python-glade2,
         python-pycurl
Description: Software Sources configuration tool
 Configure the sources for installable software and updates.

stuart@mintylaptop ~ $ sudo apt-get update
[sudo] password for stuart:
Ign http://extra.linuxmint.com debian InRelease
Hit http://debian.linuxmint.com testing InRelease
Ign http://packages.linuxmint.com debian InRelease                   
Ign http://extra.linuxmint.com debian Release.gpg                                           
Hit http://debian.linuxmint.com testing/updates InRelease           
Get:1 http://packages.linuxmint.com debian Release.gpg [198 B]                               
Get:2 http://extra.linuxmint.com debian Release [2,275 B]                                     
Hit http://debian.linuxmint.com testing InRelease                             
Get:3 http://packages.linuxmint.com debian Release [16.8 kB]                                 
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex                         
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex       
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/main i386 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib i386 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/non-free i386 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/main Translation-en/DiffIndex
Hit http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex
Ign http://extra.linuxmint.com debian/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages   
Ign http://extra.linuxmint.com debian/main i386 Packages/DiffIndex
Get:4 http://packages.linuxmint.com debian/main amd64 Packages [26.1 kB]
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages       
Hit http://debian.linuxmint.com testing/updates/main i386 Packages                                           
Hit http://debian.linuxmint.com testing/updates/contrib i386 Packages                                         
Get:5 http://packages.linuxmint.com debian/upstream amd64 Packages [18.1 kB]
Hit http://debian.linuxmint.com testing/updates/non-free i386 Packages                     
Get:6 http://packages.linuxmint.com debian/import amd64 Packages [53.6 kB]
Hit http://debian.linuxmint.com testing/updates/contrib Translation-en         
Hit http://debian.linuxmint.com testing/updates/main Translation-en             
Hit http://debian.linuxmint.com testing/updates/non-free Translation-en         
Hit http://debian.linuxmint.com testing/main amd64 Packages                                                                 
Hit http://debian.linuxmint.com testing/non-free amd64 Packages                                       
Get:7 http://packages.linuxmint.com debian/main i386 Packages [26.1 kB]                               
Hit http://debian.linuxmint.com testing/main i386 Packages                     
Hit http://debian.linuxmint.com testing/non-free i386 Packages                             
Get:8 http://packages.linuxmint.com debian/upstream i386 Packages [18.1 kB]
Get:9 http://packages.linuxmint.com debian/import i386 Packages [53.6 kB]                                                                                             
Get:10 http://extra.linuxmint.com debian/main amd64 Packages [20 B]                                                                                                   
Get:11 http://extra.linuxmint.com debian/main i386 Packages [20 B]                                                                                                     
Ign http://extra.linuxmint.com debian/main Translation-en_GB                                                                                                           
Ign http://extra.linuxmint.com debian/main Translation-en                                                                                                             
Ign http://debian.linuxmint.com testing/main Translation-en_GB                                                                                                         
Ign http://debian.linuxmint.com testing/main Translation-en                                                                                                           
Ign http://debian.linuxmint.com testing/non-free Translation-en_GB                                                                                                     
Ign http://debian.linuxmint.com testing/non-free Translation-en                                                                                                       
Ign http://packages.linuxmint.com debian/import Translation-en_GB                                                                                                     
Ign http://packages.linuxmint.com debian/import Translation-en                                                                                                         
Ign http://packages.linuxmint.com debian/main Translation-en_GB                                                                                                       
Ign http://packages.linuxmint.com debian/main Translation-en                                                                                                           
Ign http://packages.linuxmint.com debian/upstream Translation-en_GB                                                                                                   
Ign http://packages.linuxmint.com debian/upstream Translation-en                                                                                                       
Fetched 215 kB in 11s (18.2 kB/s)                                                                                                                                     
Reading package lists... Done
stuart@mintylaptop ~ $ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
stuart@mintylaptop ~ $ sudo apt-get -d dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


As far as I can see there's no obvious reason for this not to work but I am novice so that probably means nothing!!

Can anyone think of what else I can check?
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby Monsta on Sat May 17, 2014 9:26 am

Post the output of:
Code: Select all
lsb_release -a
Monsta
Level 8
Level 8
 
Posts: 2497
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems with Software Sources

Postby stuslayer on Sat May 17, 2014 4:47 pm

Code: Select all
No LSB modules are available.
Distributor ID:   Debian
Description:   Debian GNU/Linux testing (jessie)
Release:   testing
Codename:   jessie
stuart@mintylaptop ~ $
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby killer de bug on Sat May 17, 2014 6:13 pm

You're running into troubles with MintSources because you... don't have Linux Mint.
You're clearly using Debian Testing, even if you use the repo of LMDE :lol:

For example this is what it looks like on my system:
Code: Select all
KDB@KDB-laptop ~ $ lsb_release -a
No LSB modules are available.
Distributor ID:   LinuxMint
Description:   Linux Mint Debian Edition
Release:   1
Codename:   debian
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1860
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: Problems with Software Sources

Postby stuslayer on Sat May 17, 2014 6:31 pm

Well, I can't understand that. I installed an LMDE from a Linux Format Live DVD.
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby Monsta on Sun May 18, 2014 2:31 am

This is strange. This file should've been overwritten by mintSystem when the system started.
Post the output of:
Code: Select all
cat /var/log/mintsystem.log
Monsta
Level 8
Level 8
 
Posts: 2497
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems with Software Sources

Postby kurotsugi on Sun May 18, 2014 2:54 am

You're running into troubles with MintSources because you... don't have Linux Mint.
You're clearly using Debian Testing, even if you use the repo of LMDE :lol:
I'm afraid that might not quite true. certain package in debian's repo sometimes rewrite lsb_release conf file and gives 'jessie' on the result. his package list clearly show that he's running an LMDE.

@stuslayer: in a normal condition lsb_release conf file will be overwritten by mintsystem.py and give 'LMDE' result. your lsb_release result shows that mintsystem.py doesn't work. since both mintsystem.py and mintsources.py didn't work there might be something wrong with your python. the fastest solution will be not use mintsources and manually modify your sources.list file. the other quick solution will be use he newest iso and reinstall your system. we can also try to find the problem on python and fix it will takes quite long time and I personally prefer to not choose it.
kurotsugi
Level 5
Level 5
 
Posts: 942
Joined: Fri Jan 25, 2013 3:54 am

Re: Problems with Software Sources

Postby killer de bug on Sun May 18, 2014 3:27 am

I mentioned this problem with Python yesterday on IRC since mintWelcome is not working too. Can you post the output of
Code: Select all
dpkg -l |grep python
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1860
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: Problems with Software Sources

Postby stuslayer on Sun May 18, 2014 12:07 pm

Code: Select all
ii  dh-python                                    1.20131021-1                    all          Debian helper tools for packaging Python libraries and applications
ii  libboo2.0.9-cil                              0.9.5~git20110729.r1.202a430-2  all          python-like language and compiler for the CLI - library files
ii  libboost-python1.54.0                        1.54.0-3                        amd64        Boost.Python Library
ii  libpython-dev:amd64                          2.7.5-5                         amd64        header files and a static library for Python (default)
ii  libpython-stdlib:amd64                       2.7.5-5                         amd64        interactive high-level object-oriented language (default python version)
ii  libpython2.7:amd64                           2.7.5-8                         amd64        Shared Python runtime library (version 2.7)
ii  libpython2.7-dev:amd64                       2.7.5-8                         amd64        Header files and a static library for Python (v2.7)
ii  libpython2.7-minimal:amd64                   2.7.5-8                         amd64        Minimal subset of the Python language (version 2.7)
ii  libpython2.7-stdlib:amd64                    2.7.5-8                         amd64        Interactive high-level object-oriented language (standard library, version 2.7)
ii  libpython3-stdlib:amd64                      3.3.2-17                        amd64        interactive high-level object-oriented language (default python3 version)
ii  libpython3.3:amd64                           3.3.3-3                         amd64        Shared Python runtime library (version 3.3)
ii  libpython3.3-minimal:amd64                   3.3.3-3                         amd64        Minimal subset of the Python language (version 3.3)
ii  libpython3.3-stdlib:amd64                    3.3.3-3                         amd64        Interactive high-level object-oriented language (standard library, version 3.3)
ii  python                                       2.7.5-5                         amd64        interactive high-level object-oriented language (default version)
ii  python-apt                                   0.9.1                           amd64        Python interface to libapt-pkg
ii  python-apt-common                            0.9.1                           all          Python interface to libapt-pkg (locales)
ii  python-aptdaemon                             1.1.1-1                         all          Python 2 module for the server and client of aptdaemon
ii  python-aptdaemon.gtk3widgets                 1.1.1-1                         all          Python 2 GTK+ 3 widgets to run an aptdaemon client
ii  python-beautifulsoup                         3.2.1-1                         all          error-tolerant HTML parser for Python
ii  python-brlapi                                4.5-3+b1                        amd64        Python bindings for BrlAPI
ii  python-cairo                                 1.8.8-1+b2                      amd64        Python bindings for the Cairo vector graphics library
ii  python-central                               0.6.17                          all          register and build utility for Python packages
ii  python-chardet                               2.0.1-2                         all          universal character encoding detector
ii  python-cmd2                                  0.6.7-2                         all          enhanced Python cmd module - Python 2.x
ii  python-configobj                             4.7.2+ds-5                      all          simple but powerful config file reader and writer for Python
ii  python-crypto                                2.6.1-2                         amd64        cryptographic algorithms and protocols for Python
ii  python-cups                                  1.9.63-1                        amd64        Python bindings for CUPS
ii  python-cupshelpers                           1.4.3-1                         all          Python utility modules around the CUPS printing system
ii  python-dbus                                  1.2.0-2+b1                      amd64        simple interprocess messaging system (Python interface)
ii  python-dbus-dev                              1.2.0-2                         all          main loop integration development files for python-dbus
ii  python-debian                                0.1.21+nmu2                     all          Python modules to work with Debian-related data formats
ii  python-defer                                 1.0.6-2                         all          Small framework for asynchronous programming (Python 2)
ii  python-dev                                   2.7.5-5                         amd64        header files and a static library for Python (default)
ii  python-dnspython                             1.11.1-1                        all          DNS toolkit for Python
ii  python-extras                                0.0.3-2                         all          extensions to the Python standard library (Python 2.x)
ii  python-gconf                                 2.28.1+dfsg-1                   amd64        Python bindings for the GConf configuration database system
ii  python-gdbm                                  2.7.5-1                         amd64        GNU dbm database support for Python
ii  python-gi                                    3.8.2-1                         amd64        Python 2.x bindings for gobject-introspection libraries
ii  python-gi-cairo                              3.8.2-1                         amd64        Python Cairo bindings for the GObject library
ii  python-glade2                                2.24.0-3+b1                     amd64        GTK+ bindings: Glade support
ii  python-gnome2                                2.28.1+dfsg-1                   amd64        Python bindings for the GNOME desktop environment
ii  python-gobject                               3.8.2-1                         all          Python 2.x bindings for GObject - transitional package
ii  python-gobject-2                             2.28.6-12+b1                    amd64        deprecated static Python bindings for the GObject library
ii  python-gst0.10                               0.10.22-3                       amd64        generic media-playing framework (Python bindings)
ii  python-gtk2                                  2.24.0-3+b1                     amd64        Python bindings for the GTK+ widget set
ii  python-gtksourceview2                        2.10.1-2                        amd64        Python bindings for the GtkSourceView widget
ii  python-imaging                               1.1.7-4                         amd64        Python Imaging Library
ii  python-ldb                                   1:1.1.16-1                      amd64        Python bindings for LDB
ii  python-libxml2                               2.9.1+dfsg1-3                   amd64        Python bindings for the GNOME XML library
ii  python-louis                                 2.5.3-2                         all          Python bindings for liblouis
ii  python-lxml                                  3.2.0-1+b1                      amd64        pythonic binding for the libxml2 and libxslt libraries
ii  python-mako                                  0.9.0-1                         all          fast and lightweight templating for the Python platform
ii  python-markupsafe                            0.18-1                          amd64        HTML/XHTML/XML string library for Python
ii  python-mate-character-map                    1.6.0-2+lmde                    amd64        Python bindings for mate-character-map
ii  python-mate-menu                             1.6.0-1+lmde                    amd64        implementation of the freedesktop menu specification for MATE (python bindings)
ii  python-mimeparse                             0.1.4-1                         all          Parse mime-types and quality parameters - python 2.x
ii  python-minimal                               2.7.5-5                         amd64        minimal subset of the Python language (default version)
ii  python-notify                                0.1.1-3                         amd64        Python bindings for libnotify
ii  python-numpy                                 1:1.7.1-3                       amd64        Numerical Python adds a fast array facility to the Python language
ii  python-opencv                                2.4.6.1+dfsg-2                  amd64        Python bindings for the computer vision library
ii  python-pam                                   0.4.2-13.1                      amd64        Python interface to the PAM library
ii  python-paramiko                              1.10.1-1                        all          Make ssh v2 connections with Python (Python 2)
ii  python-parted                                3.6-6                           amd64        Python interface for libparted
ii  python-pexpect                               2.4-1                           all          Python module for automating interactive applications
ii  python-pkg-resources                         1.4.2-1                         all          Package Discovery and Resource Access using pkg_resources
ii  python-pyatspi                               2.10.0+dfsg-1                   all          Assistive Technology Service Provider Interface - Python bindings
ii  python-pyatspi2                              2.10.0+dfsg-1                   all          Transitional package for assistive technology Python bindings
ii  python-pycurl                                7.19.0-7                        amd64        Python bindings to libcurl
ii  python-pyinotify                             0.9.4-1                         all          simple Linux inotify Python bindings
ii  python-pyorbit                               2.24.0-6+b1                     amd64        A Python language binding for the ORBit2 CORBA implementation
ii  python-pyparsing                             2.0.1+dfsg1-1                   all          Python parsing module
ii  python-pyudev                                0.16.1-2                        all          Python bindings for libudev
ii  python-qt4                                   4.10.3+dfsg1-1                  amd64        Python bindings for Qt4
ii  python-qt4-dbus                              4.10.3+dfsg1-1                  amd64        D-Bus Support for PyQt4
ii  python-renderpm                              2.7-1                           amd64        python low level render interface
ii  python-reportlab                             2.7-1                           all          ReportLab library to create PDF documents using Python
ii  python-reportlab-accel                       2.7-1                           amd64        C coded extension accelerator for the ReportLab Toolkit
ii  python-samba                                 2:4.0.12+dfsg-1                 amd64        Python bindings for Samba
ii  python-setuptools                            1.4.2-1                         all          Python Distutils Enhancements (setuptools compatibility)
ii  python-sexy                                  0.1.9-1ubuntu3-1mint3           amd64        python language bindings for libsexy
ii  python-sip                                   4.15.3-1                        amd64        Python/C++ bindings generator runtime library
ii  python-six                                   1.4.1-1                         all          Python 2 and 3 compatibility library (Python 2 interface)
ii  python-speechd                               0.7.1-6.3                       all          Python interface to Speech Dispatcher
ii  python-support                               1.0.15                          all          automated rebuilding support for Python modules
ii  python-talloc                                2.1.0-1                         amd64        hierarchical pool based memory allocator - Python bindings
ii  python-tdb                                   1.2.12-1                        amd64        Python bindings for TDB
ii  python-testtools                             0.9.32-2                        all          Extensions to the Python unittest library (Python 2.x)
ii  python-vte                                   1:0.28.2-5                      amd64        Python bindings for the VTE widget set
ii  python-webkit                                1.1.8-3                         amd64        WebKit/Gtk Python bindings
ii  python-wnck                                  2.32.0+dfsg-3                   amd64        Python bindings for the WNCK library
ii  python-xapian                                1.2.15-4                        amd64        Xapian search engine interface for Python
ii  python-xdg                                   0.25-3                          all          Python 2 library to access freedesktop.org standards
ii  python-xlib                                  0.14+20091101-1                 all          Interface for Python to the X11 Protocol
ii  python2.7                                    2.7.5-8                         amd64        Interactive high-level object-oriented language (version 2.7)
ii  python2.7-dev                                2.7.5-8                         amd64        Header files and a static library for Python (v2.7)
ii  python2.7-minimal                            2.7.5-8                         amd64        Minimal subset of the Python language (version 2.7)
ii  python3                                      3.3.2-17                        amd64        interactive high-level object-oriented language (default python3 version)
ii  python3-apt                                  0.9.1                           amd64        Python 3 interface to libapt-pkg
ii  python3-aptdaemon                            1.1.1-1                         all          Python 3 module for the server and client of aptdaemon
ii  python3-cairo                                1.10.0+dfsg-3+b1                amd64        Python 3 bindings for the Cairo vector graphics library
ii  python3-dbus                                 1.2.0-2+b1                      amd64        simple interprocess messaging system (Python 3 interface)
ii  python3-dbus.mainloop.qt                     4.10.3+dfsg1-1                  amd64        D-Bus Support for PyQt4 with Python 3
ii  python3-defer                                1.0.6-2                         all          Small framework for asynchronous programming (Python 3)
ii  python3-gi                                   3.8.2-1                         amd64        Python 3 bindings for gobject-introspection libraries
ii  python3-gi-cairo                             3.8.2-1                         amd64        Python 3 Cairo bindings for the GObject library
ii  python3-minimal                              3.3.2-17                        amd64        minimal subset of the Python language (default python3 version)
ii  python3-packagekit                           0.8.12-1                        all          PackageKit backend Python bindings
ii  python3-pkg-resources                        1.4.2-1                         all          Package Discovery and Resource Access using pkg_resources
ii  python3.3                                    3.3.3-3                         amd64        Interactive high-level object-oriented language (version 3.3)
ii  python3.3-minimal                            3.3.3-3                         amd64        Minimal subset of the Python language (version 3.3)
stuart@mintylaptop ~ $
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby stuslayer on Sun May 18, 2014 12:09 pm

Code: Select all
cat /var/log/mintsystem.log
2014-05-18 17:03:56 - minSystem started
2014-05-18 17:03:56 - /etc/linuxmint/adjustments//15-debian-system-adjustments.execute executed
2014-05-18 17:03:56 - /etc/linuxmint/adjustments//15-mint-artwork-gnome-firefox.execute executed
2014-05-18 17:03:56 - /etc/linuxmint/adjustments//15-banshee.execute executed
2014-05-18 17:03:56 - /etc/gdm3/greeter.gsettings overwritten with /usr/share/linuxmint/adjustments/gdm3/greeter.gsettings
2014-05-18 17:03:57 - /usr/share/gnome-panel/panel-default-layout.layout overwritten with /usr/share/linuxmint/adjustments/gnome/panel-default-layout.layout
2014-05-18 17:03:57 - /usr/share/gnome/applications/display.im6.desktop overwritten with /usr/share/debian-system-adjustments/imagemagick/display.im6.desktop
2014-05-18 17:03:57 - /etc/os-release overwritten with /usr/share/linuxmint/adjustments/base-files/os-release
2014-05-18 17:03:57 - /usr/share/applications/display.im6.desktop overwritten with /usr/share/debian-system-adjustments/imagemagick/display.im6.desktop
2014-05-18 17:03:57 - /usr/share/applications/defaults.list overwritten with /usr/share/linuxmint/adjustments/gnome/defaults.list
2014-05-18 17:03:57 - /etc/grub.d/10_linux overwritten with /usr/share/debian-system-adjustments/grub/10_linux
2014-05-18 17:03:57 - /usr/share/applications/itweb-settings.desktop overwritten with /usr/share/debian-system-adjustments/java/itweb-settings.desktop
2014-05-18 17:03:57 - /etc/xdg/autostart/nm-applet.desktop overwritten with /usr/share/debian-system-adjustments/nm-applet/nm-applet.desktop
2014-05-18 17:03:57 - /usr/share/synaptic/gtkbuilder/window_main.ui overwritten with /usr/lib/linuxmint/mintSystem/adjustments/window_main.ui
2014-05-18 17:03:57 - /etc/gnome/defaults.list overwritten with /usr/share/linuxmint/adjustments/gnome/defaults.list
2014-05-18 17:03:57 - /usr/share/applications/gksu.desktop overwritten with /usr/share/debian-system-adjustments/gksu/gksu.desktop
2014-05-18 17:03:57 - /usr/share/sounds/freedesktop/stereo/device-removed.oga overwritten with /usr/share/debian-system-adjustments/sound/silent.oga
2014-05-18 17:03:57 - /etc/iceweasel/profile/mimeTypes.rdf overwritten with /usr/share/linuxmint/adjustments/firefox/mimeTypes.rdf
2014-05-18 17:03:57 - /etc/iceweasel/profile/bookmarks.html overwritten with /usr/share/linuxmint/adjustments/firefox/bookmarks.html
2014-05-18 17:03:57 - /usr/share/sounds/freedesktop/stereo/device-added.oga overwritten with /usr/share/debian-system-adjustments/sound/silent.oga
2014-05-18 17:03:57 - /usr/share/applications/caja.desktop overwritten with /usr/share/debian-system-adjustments/caja/caja.desktop
2014-05-18 17:03:57 - /usr/share/applications/yelp.desktop overwritten with /usr/share/debian-system-adjustments/yelp/yelp.desktop
2014-05-18 17:03:57 - /etc/iceweasel/pref/iceweasel.js overwritten with /usr/share/linuxmint/adjustments/firefox/firefox.js
2014-05-18 17:03:57 - /usr/share/applications/openjdk-7-policytool.desktop overwritten with /usr/share/debian-system-adjustments/java/openjdk-7-policytool.desktop
2014-05-18 17:03:57 - /etc/lsb-release overwritten
2014-05-18 17:03:57 - /etc/issue overwritten
2014-05-18 17:03:57 - /etc/issue.net overwritten
2014-05-18 17:03:57 - mintSystem stopped
stuart@mintylaptop ~ $
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby Monsta on Sun May 18, 2014 12:29 pm

Well that looks alright, mintSystem is doing its job as usual...
Ok, post the output of:
Code: Select all
cat /etc/lsb-release
lsb_release -a
Monsta
Level 8
Level 8
 
Posts: 2497
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems with Software Sources

Postby stuslayer on Sun May 18, 2014 12:43 pm

Code: Select all
cat /etc/lsb-release
grep: /etc/linuxmint/info: No such file or directory
DISTRIB_grep: /etc/linuxmint/info: No such file or directory
DISTRIB_grep: /etc/linuxmint/info: No such file or directory
DISTRIB_grep: /etc/linuxmint/info: No such file or directory


but:

Code: Select all
lsb_release -a
LSB Version:   core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID:   Debian
Description:   Debian GNU/Linux testing (jessie)
Release:   testing
Codename:   jessie
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby stuslayer on Sun May 18, 2014 3:14 pm

I would like to say thanks to everyone who's helped and given input so far - although the issue isn't solved yet, your posts are helping me learn more about how my system works, which is great :) I'm actually happy that some things aren't quite right with my install, as it's given me this opportunity to learn and interact!
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby killer de bug on Sun May 18, 2014 3:30 pm

can you post the output of
    inxi -r
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1860
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: Problems with Software Sources

Postby stuslayer on Sun May 18, 2014 4:43 pm

Code: Select all
inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com debian main upstream import
           deb http://debian.linuxmint.com/latest/ testing main contrib non-free
           deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
           deb http://debian.linuxmint.com/latest/multimedia testing main non-free
           deb http://extra.linuxmint.com debian main
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Re: Problems with Software Sources

Postby stuslayer on Mon May 19, 2014 9:22 am

i'm wondering if the LMDE version of 16 is perhaps a little more technical than my current knowledge allows - i'm thinking about removing and releasing with the main edition instead. This runs fine on my old desktop, so i imagine would be suitable for the laptop. I suspect something is missing/corrupted in the python installation on my machine as the problems appear to centre around this, but I don't know enough to solve it properly.

Thanks for everyone's efforts on this - i'll persever for a little longer so if anyone can offer any other pointers I'll appreciate it :)
stuslayer
Level 1
Level 1
 
Posts: 15
Joined: Mon Feb 17, 2014 6:24 pm

Linux Mint is funded by ads and donations.
 
Next

Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 4 guests